local shader = love.graphics.newPixelEffect [[
      extern vec2 size;
      extern number factor;
      vec4 effect(vec4 color, Image img, vec2 texture_coords, vec2 pixel_coords){
         vec2 tc = floor(texture_coords * size / factor) * factor / size;

         return Texel(img, tc);
      }
]]

love.graphics.setPixelEffect(shader)

local image = love.graphics.newImage('maggie.jpg')

function love.load()

end

function love.draw()
   love.graphics.draw(image, 0, 0)
end

function love.update(dt)
   t = t or 0
   t = t + dt
   shader:send('factor', math.abs(math.sin(t)) * 32)
   shader:send('size', {image:getWidth(), image:getHeight()})
end